Code

Discussion on WPLMS Learning Management System App for Education & eLearning

1058 comments found.

could you please reply this topic: https://wplms.io/forums/topic/dantes-customisation-request/

I want to pay with gift card but it failed

Replied.

How this would work in steps please? thanks

You need a WPLMS site for this. Lets say you have a WPLMS website with courses . This is App source code, so it will need some configuration to connect with your site and then you can compile and publish the app on app store udner your name. The app when installed on user’s device will automatically pull data from your site in the app and store in the app. The app and site will thereafter remain in sync with each other like whenever a new user registers on the app, she can also access the course in the site and when you add a new course in your site, it is automatically displayed in the app. All data pulled in the app is stored, so it also works offline without internet.

Hi – I extracted the ‘ionic-src’ and ‘config.xml’ files from the wblms source folder. The development system that I use has the latest Ionic version. In the sample application that I created, it did not have the ‘config.xml’ file in the angular – tab selection new application. Let me now how to update wblms source code in new ionic application for Android and ios support? Is there a documentation/step-by-step guide on installing the latest ionic 4 applicatio? Please let me know. Thanks.

Yes the backend where the account is registered is a Wordpress site with Wplms setup. All statistics and data is recorded in Wordpress.

Hi – can you please point me to a resource/tutorial that explains how to connect the WPLMS App and the WPLMS wordpress admin portal? Thanks.

Pre-Sale question: We’re a marketing agency and we have a client for the LMS and App. We already bought the LMS theme, but I need to be clear on APP. I was reading you charge $19 plus 5 changes. Can you please explain more in details? I have a server in AWS and accounts in Play Store and Apple Store. Do you help me upload the App to the server and Stores? Can I change name and logo?

I have tu submitt quote to client, please advice on price.

Yes you can change app logo plus anything else you want . Yes we will be helping you to upload the app to playstore and app store as well along with compiling it for you .

Awesome. Thanks

this command not working ?? Ionic start projectname –v2 tabs

Please try this command instead : ionic start myApp tabs—cordova

refer : https://ionicframework.com/docs/cli/commands/start

can teacher uplod video course through app?? if yes, i will buy right now.. If no, please consider it in future becaause the world is now APP… Nobody has time to log onto a computer to upload a video… Even youtube now supports video upload from mobile app

We’re releasing an Instructor version of the app as well.

good

Thank you :)

What do I need to do to get my app customized as soon as possible? I need it urgently in less than 5 days! Post Forum: https://wplms.io/forums/topic/dinael-monteiros-customisation-request/page/4/#post-34646

Hi we will do best to finish it .The debug app can be built within a day once we get everything app assets and site credentials from you .

Error: Can’t find stylesheet to import.

@import "ionic.globals 

D:\ionic\vibethemes>ionic info

Ionic:

Ionic CLI                     : 5.4.1 (C:\Users\FEAFU\AppData\Roaming\npm\node_modules\ionic)
Ionic Framework               : @ionic/angular 4.9.1
@angular-devkit/build-angular : 0.801.3
@angular-devkit/schematics    : 8.1.3
@angular/cli                  : 8.1.3
@ionic/angular-toolkit        : 2.0.0

Cordova:

Cordova CLI       : 9.0.0 (cordova-lib@9.0.1)
Cordova Platforms : not available
Cordova Plugins   : not available

Utility:

cordova-res : 0.6.0
native-run  : 0.2.7

System:

Android SDK Tools : 26.1.1 (D:\Android\android-sdk)
NodeJS            : v10.16.3 (C:\Program Files\nodejs\node.exe)
npm               : 6.4.1
OS                : Windows 10

D:\ionic\vibethemes>

sample ionic project works in ionic serve. problem occurs after change the ionic src folder, ionic serve not working, let me know whats the problem

https://prnt.sc/ovpiza

Please post on wplms.io/forums for help. Simple replacing the Src folder would not work. You need to install the dependencies first. Like this https://m.youtube.com/watch?v=AQXzBH7fJvY

already installed the dependencies, sample ionic app is running successfully, but your URL video reference is oldversion. actually old version have package.json and ionic-src.zip file but the new version is only config file and ionic-src.zip file, i am search the new video tutorial, there is no available. please let me know how to proceed ? i have downloded only config.xml and ionic-src.zip files. previously i told my error details. let me know how to proceed?

This is the latest package.json : https://wplmsupdates.s3.amazonaws.com/package.json used here : https://www.youtube.com/watch?v=_VGAIxJfGXY , we’re also releasing App update with Multisite support next week.

in the download file there is no package.json why?

Thanks

”””” VibeThemes VibeThemes AUTHOR

25 days ago Flag We’ll be adding it in the update releasing this week. We forgot to add it in the last update. App updates take 3-4 days to approve (envato approval), so its better to give it directly rather than ask you to wait for 3 days for the update. ””””””””

where is the update?

I checked the package.json is included in the current App package as well. We’re already giving 2.7 version in our customisations. From last month we did a lot of things, updated documentation, tested with latest Ionic v4 , push notifications integrated in the app. For App update, we’re first updating both the Apps on AppStores which is taking some time and releasing the app update after the apps are updated on App Stores.

Hi noticed that The new version of the app is about to release! 1.what are the other new features of the app? 2.does the app Support H5P contents and Quizes?

1. Multisite support, if your Wordpress wplms is a multisite then on app installation the user is asked to select a wplms site. 2. Wplms Attendance integration . Yes the app supports h5p contents and quizzes.

what about video Cache file feature is that included in new version? I am going to change my web hosting , do I need to compile my app again? Or does not affect on app functionality ? because it is based on API not IP!

Yes, we’re still working on video caching. It will be added in next versions for sure. Correct , a change of web host will not impact app.

I just download it and I cant’ see the package.json , I downloaded from here https://wplmsupdates.s3.amazonaws.com/package.json But I’m getting error npm ERR! code EBADPLATFORM npm ERR! notsup Unsupported platform for ios-deploy@1.9.4: wanted {os“} (current: {os“}) npm ERR! notsup Valid OS: darwin npm ERR! notsup Valid Arch: any npm ERR! notsup Actual OS: win32 If this is a project you’d like to integrate with Ionic, create an ionic.config.json file.

When I run npm install. Any solution? I see it’s not a ionic project, ionic.config.json it’s missing. Thanks

As it was built earlier on ionic3 it has a config.xml and package.json . If you’re starting a fresh, try uninstalling everything and then start again. Also post on wplms.io/forums and we can help you there with detailed replies.

The apps not support video from amazon S3. I tried the video from.amazon, but can’t play at application. Can you help me?

When you can finished the my request customized?

Try a smaller amazon S3 video, we’re also adding Video caching in our next updates.

Sorry, but this app does not work, I’ve tried at least 10 times. I followed the correct procedure step by step and always failed. I left comments in the forum asking for help was not answered.

Digit IONIC SERVE that error “Cannot GET /”

 

in terminal is

ERROR in ./src/theme/variables.scss (./node_modules/@angular-devkit/build-angular/src/angular-cli-files/plugins/raw-css-loader.js!./node_modules/postcss-loader /src??embedded\\./src/theme/variables.scss)

[ng] Module build failed (from ./node_modules/sass-loader/lib/loader.js):

[ng] @import “ionic.globals”;

[ng] ^

[ng] File to import not found or unreadable: ionic.globals.

[ng] in C: \ Users \ Raca Agency \ APPS \ MYAPP \ src \ theme \ variables.scss (line 5, column 1)

[ng] ERROR in multi ./src/theme/variables.scss ./src/global.scss

[ng] Module not found: Error: Can’t resolve ‘C: \ Users \ Raca Agency \ APPS \ MYAPP \ src \ global.scss ‘in‘ C: \ Users \ Raca Agency \ APPS \ MYAPP’

 [ng] ERROR in multi (webpack) -dev-server / client? http: //0.0.0.0: 0 / sockjs-node & sockPath = / sockjs-node ./src/main.ts

[ng] Module not found: Error: Can’t resolve ‘C: \ Users \ Raca Agency \ APPS \ MYAPP \ src \ main.ts’ in ‘C: \ Users \ Raca Agency \ APPS \ MYAPP

[ng] ERROR in multi ./src/polyfills.ts ./node_modules/@angular-devkit/build-angular/src/angular-cli-files/models/jit-polyfills.js

[ng] Module not found: Error: Can’t resolve ‘C: \ Users \ Raca Agency \ APPS \ MYAPP \ src \ polyfills.ts’ in ‘C: \ Users \ Raca Agency \ APPS \ MYAPP’

[ng] ERROR in Must have a source file to refactor.

Ionic:

Ionic CLI                     : 5.4.1 (C:\Users\Agencia Raca\AppData\Roaming\npm\node_modules\ionic)
Ionic Framework               : @ionic/angular 4.10.0
@angular-devkit/build-angular : 0.801.3
@angular-devkit/schematics    : 8.1.3
@angular/cli                  : 8.1.3
@ionic/angular-toolkit        : 2.0.0

Utility:

cordova-res : 0.6.0
native-run  : 0.2.8

System:

NodeJS : v12.11.0 (C:\Program Files\nodejs\node.exe)
npm    : 6.11.3
OS     : Windows 10

Sorry, but this app does not work, I’ve tried at least 10 times. I followed the correct procedure step by step and always failed. I left comments in the forum asking for help was not answered.

Digit IONIC SERVE that error “Cannot GET /”

 

in terminal is

ERROR in ./src/theme/variables.scss (./node_modules/@angular-devkit/build-angular/src/angular-cli-files/plugins/raw-css-loader.js!./node_modules/postcss-loader /src??embedded\\./src/theme/variables.scss)

[ng] Module build failed (from ./node_modules/sass-loader/lib/loader.js):

[ng] @import “ionic.globals”;

[ng] ^

[ng] File to import not found or unreadable: ionic.globals.

[ng] in C: \ Users \ Raca Agency \ APPS \ MYAPP \ src \ theme \ variables.scss (line 5, column 1)

[ng] ERROR in multi ./src/theme/variables.scss ./src/global.scss

[ng] Module not found: Error: Can’t resolve ‘C: \ Users \ Raca Agency \ APPS \ MYAPP \ src \ global.scss ‘in‘ C: \ Users \ Raca Agency \ APPS \ MYAPP’

 [ng] ERROR in multi (webpack) -dev-server / client? http: //0.0.0.0: 0 / sockjs-node & sockPath = / sockjs-node ./src/main.ts

[ng] Module not found: Error: Can’t resolve ‘C: \ Users \ Raca Agency \ APPS \ MYAPP \ src \ main.ts’ in ‘C: \ Users \ Raca Agency \ APPS \ MYAPP

[ng] ERROR in multi ./src/polyfills.ts ./node_modules/@angular-devkit/build-angular/src/angular-cli-files/models/jit-polyfills.js

[ng] Module not found: Error: Can’t resolve ‘C: \ Users \ Raca Agency \ APPS \ MYAPP \ src \ polyfills.ts’ in ‘C: \ Users \ Raca Agency \ APPS \ MYAPP’

[ng] ERROR in Must have a source file to refactor.

It seems your setup is not configured correctly. The error message is indicating that it is unable to find files. This could be either a permissions issue or the file simply does not exist. We can have a team viewer session and help you with the setup of the app. Please continue the discussion on wplms.io/forums and we can schedule it.

Hi we purchased ionic 3 version full code , package.json availbale only advanced version ionic4

Where can i take package.json for ionic version 3

It is very easy to upgrade from ionic 3 to ionic 4 , no code changes are required. So I suggest you upgrade your ionic version to latest and everything will work as expected. push notifications is coming in tomorrow’s app update.

Please send me updated version sourc code

As you understand our issue our source code it seems ionic3, but missed PACKAGE.JSON available ONLY FOR IONIC4 VERSION, WHAT WE CAN DO PLEASE PROVIDE ME SOLUTION ASAP…:-(

We’re releasing app update tomorrow with new features and package.json. New features are push notification , attendance integration & multisite support

I have already customized the application. when can you finish it ? Please..

I have followed the my cuztomize, but not completed until now

I already paid

Checking your request.

Ionic has slow performance and difficult to hire developers. Do you have plan to move to Native or other frameworks like Flutter, React-Native?

We’ll be releasing Instructor version of this app in react Native as a saperate project. It works both for instructor and student.

Cool!!! When is it available?

Under construction need couple of months.

how to update ionic dependencies Like videogular2 from 6 to 7

1. The video playback issue might be resolved with our video caching feature. If you’re embedding large videos then you should convert them to streaming videos.
2. This needs to be checking is your quiz static or dynamic ?
3. The upcoming version will not fix this. Please help us in replicating the issue first. Continue the discussion in forums.

1.I am using static quiz 2.I’d prefer to use my local host for videos but in local mode, video frame shows without playing and do not function at all 3.iFrame video seems like only suppport youtube and vimeo

I already created a customization topic 9 days ago Yet waiting for Reply on:

https://wplms.io/forums/topic/dantes-customisation-request/

Hi thanks for creating the topic , we are checking it.

Where is the documentation located, can’t seem to find it in the extracted zip

by
by
by
by
by
by

Tell us what you think!

We'd like to ask you a few questions to help improve CodeCanyon.

Sure, take me to the survey